Problema post aggiornamento con un repository

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

gi-gi ha scritto:

Dal DVD o pendrive di installazione c'è l'opzione "Boot from Hard Disk" che potrebbe fare al caso tuo...


Effettivamente non ci avevo pensato, se riuscissi ad entrare poi modificherei da yast

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

Ok usando questa guida ( se http:non si possono postare la elimino) http://trucchisuse.altervista.org/blog/ripristinare-grub-ovvero-lavvio-di-suse/ ho risolto il problema della mancanza di suse.
Ho cancellato il primo errore e il programma di update funge. Provando a vedere se ci sono aggiornamenti tramite terminale mi da questi errori

loZarCamaleontico@linux-30w6:~> sudo zypper update
root's password:
PackageKit sta bloccando zypper. Questo succede se si ha in esecuzione l'applet dell'aggiornatore o un'altra applicazione per la gestione dei programmi che usa PackageKit.
Dire a PackageKit di uscire? [/no] (no): s
PackageKit è ancora in esecuzione (probabilmente occupato).
Provare di nuovo? [/no] (no): s
PackageKit è ancora in esecuzione (probabilmente occupato).
Provare di nuovo? [/no] (no): s
Recupero dei meta-dati del repository 'openSUSE-Leap-42.1-Debug-Non-Oss' .......[errore]
Il repository 'openSUSE-Leap-42.1-Debug-Non-Oss' non è valido.
[repo-debug-non-oss|http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/] Valid metadata not found at specified URL
Verificare se gli URI definiti per questo repository puntano a un repository valido.
Attenzione: Esclusione del repository 'openSUSE-Leap-42.1-Debug-Non-Oss' a causa dell'errore precedente.
Recupero dei meta-dati del repository 'openSUSE-Leap-42.1-Update-Debug-Non-Oss' [errore]
Il repository 'openSUSE-Leap-42.1-Update-Debug-Non-Oss' non è valido.
[repo-debug-update-non-oss|http://download.opensuse.org/debug/update/leap/42.1/non-oss/] Valid metadata not found at specified URL
Verificare se gli URI definiti per questo repository puntano a un repository valido.
Attenzione: Esclusione del repository 'openSUSE-Leap-42.1-Update-Debug-Non-Oss' a causa dell'errore precedente.
Alcuni repository non sono stati aggiornati a causa di un errore.
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...
 
Nessuna operazione da eseguire.

l'unica soluzione è disabilitare quei repo? Prima volta che un repo non mi funge

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3

Ritratto di gi-gi
gi-gi
(Moderatore)
Offline
Moderatore
Iscritto: 09/12/2014
Messaggi: 418

Ciao.

Per evitare l'errore, cha io sappia, l'unico modo è quello di disabilitare (o cancellare) il repository (in effetti non credo sia molto utile all'utente standard).

E' curioso il fatto che dando un'occhiata a questo link:

https://en.opensuse.org/Package_repositories#Debug

risulta sparito il repository debug/update di Leap. Forse, ma è una mia supposizione, è stato fuso nel debug/distribution...

gigi

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

gi-gi ha scritto:

Ciao.

Per evitare l'errore, cha io sappia, l'unico modo è quello di disabilitare (o cancellare) il repository (in effetti non credo sia molto utile all'utente standard).

E' curioso il fatto che dando un'occhiata a questo link:

https://en.opensuse.org/Package_repositories#Debug

risulta sparito il repository debug/update di Leap. Forse, ma è una mia supposizione, è stato fuso nel debug/distribution...

Grazie mille! Disabilitando quei repo ora non mi da problemi! Piccola curiosità: i repo di default bastano ed avanzano per trovare i vari programmi con le proprie dipendenze? Mi spiego su arch esiste AUR che permette di installare anche pacchetti non direttamente disponibili per arch, ma in tal caso andrebbero aggiunti repository.
Piccolo OT, mi sta piacendo molto openSUSE leap,anche se devo prenderci un pò la mano con i comandi da terminale, che sono completamente diversi. Metto risolto

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3

Ritratto di gi-gi
gi-gi
(Moderatore)
Offline
Moderatore
Iscritto: 09/12/2014
Messaggi: 418

I repository che trovi predefiniti in linea di massima sono sufficienti.

Potrebbero interessarti questi repo aggiuntivi:

http://packman.inode.at/suse/openSUSE_Leap_42.1/ (indispensabile per codec "non-free")

http://download.opensuse.org/repositories/security/openSUSE_Factory/

http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_42.1/

Ti può essere utile anche la pagina seguente:

https://en.opensuse.org/Additional_package_repositories

Se poi hai qualche esigenza specifica postando nel forum trovi senz'altro supporto.

gigi

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

Grazie mille

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

Stavo guardando i Repository packman, per aggiungerli quali devo mettere non essendoci quelli per la 42?

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3

Ritratto di gi-gi
gi-gi
(Moderatore)
Offline
Moderatore
Iscritto: 09/12/2014
Messaggi: 418

Sono questi:

http://packman.inode.at/suse/openSUSE_Leap_42.1/

gigi

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 881

Per aggiungerli basta che avvii Yast > repository dei programmi > sotto a sinistra > aggiungi > Archivi comunità > e li spunti packman > libdvdcss , se hai i repo Nvidia pure quello .

Come puoi vedere in Repository dei programmi puoi dare una precedenza al repo Packman abbasando il valore che di solito è 99 a 90

Ritratto di Zar Marco
Zar Marco
(Geek)
Offline
Geek
Iscritto: 22/02/2016
Messaggi: 85

Grazie mille ad entrambi, domani vedo di aggiungere almeno packman

Lenovo Legion Y520 i7 7700HQ 8 Gb ram openSUSE Tumbleweed KDE/Arch KDE/i3